agent-sessions
Get Conversation Detail
Get full conversation history with all messages.
Returns complete conversation transcript including:
- All user messages
- All agent responses
- Tool executions
- Timestamps
- Metadata
Use this for:
- Reviewing agent performance
- Debugging conversations
- Customer service audits
- Training data collection
Example response:
{
"conversation_id": "conv-123",
"agent_id": "agent-456",
"created_at": "2025-11-25T10:00:00Z",
"updated_at": "2025-11-25T10:05:00Z",
"messages": [
{
"role": "user",
"content": "What is your refund policy?",
"timestamp": "2025-11-25T10:00:00Z"
},
{
"role": "assistant",
"content": "Our refund policy...",
"timestamp": "2025-11-25T10:00:02Z",
"metadata": {"selected_tool": null, "execution_time_ms": 850}
}
]
}
GET
/
agents
/
{agent_id}
/
conversations
/
{conversation_id}
Get Conversation Detail
curl --request GET \
--url https://api.example.com/agents/{agent_id}/conversations/{conversation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/agents/{agent_id}/conversations/{conversation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/agents/{agent_id}/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversation_id": "<string>",
"agent_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"messages": [
{
"role": "<string>",
"content": "<string>",
"timestamp": "<string>",
"metadata": {}
}
],
"metadata": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I
Get Conversation Detail
